Page MenuHomePhabricator

Hovercards don't show up with $wgUsePathInfo = false
Closed, ResolvedPublic

Description

with wgUsePathInfo = false URLs like .../w/index.php?title=Email are always used.
But Hovercards are not shown for which "href.indexOf( '?' ) !== -1" is true for a reason I don't know.

Details

Reference
bz68039

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:32 AM
bzimport added a project: Page-Previews.
bzimport set Reference to bz68039.
bzimport added a subscriber: Unknown Object (MLST).
Se4598 created this task.Jul 15 2014, 3:38 PM

Change 146477 had a related patch set uploaded by Se4598:
Show popups when wgUsePathInfo=false

https://gerrit.wikimedia.org/r/146477

Prtksxna triaged this task as Normal priority.Dec 3 2014, 2:54 AM
Prtksxna updated the task description. (Show Details)
Prtksxna set Security to None.
Prtksxna moved this task from Backlog to For Review on the Page-Previews board.Dec 3 2014, 5:44 AM

Change 146477 had a related patch set uploaded (by Prtksxna):
core: Better article link detection

https://gerrit.wikimedia.org/r/146477

Patch-For-Review

Prtksxna claimed this task.Jan 9 2015, 10:00 AM
JanZerebecki added a subscriber: JanZerebecki.

There is a similar bug on Wikidata spewing JS errors where there are links without href. That patch https://gerrit.wikimedia.org/r/#/c/190209/ would be a minimal fix but the patch linked above would also fix this.

There is a similar bug on Wikidata spewing JS errors where there are links without href. That patch https://gerrit.wikimedia.org/r/#/c/190209/ would be a minimal fix but the patch linked above would also fix this.

I'd rather see the actual patch merged rather than a hotfix. I don't want to merge https://gerrit.wikimedia.org/r/#/c/146477/ myself because I changed a lot of things from the original patchset in PS6.

Change 146477 merged by jenkins-bot:
core: Better article link detection

https://gerrit.wikimedia.org/r/146477

Prtksxna closed this task as Resolved.Feb 19 2015, 5:26 AM
Quiddity moved this task from For Review to Done on the Page-Previews board.Feb 22 2015, 10:29 PM